ranges::actions::remove_fn Struct Reference

## Public Member Functions

template<typename V , typename P >
CPP_TEMPLATE_AUX_0 | c (requires(!range< V >)) ccconstexpr auto operator()(V &&value
template<typename V >
constexpr auto | operator() (V &&value) const
template<typename Rng , typename V , typename P = identity>
CPP_TEMPLATE_AUX_0 | R (requires forward_range< Rng > &&permutable< iterator_t< Rng >> &&erasable_range< Rng, iterator_t< Rng >, sentinel_t< Rng >> &&indirect_relation< equal_to, projected< iterator_t< Rng >, P >, V const * >) RRRng operator()(Rng &&rng

## Public Attributes

CPP_TEMPLATE_AUX_0 P proj | const
CPP_TEMPLATE_AUX_0 V const & | value

## Related Functions

(Note that these are not member functions.)
constexpr remove_fn | remove {}

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 P proj ranges::actions::remove_fn::const

Initial value:
{
return make_action_closure(
bind_back(remove_fn{}, static_cast<V &&>(value), std::move(proj)))
ranges::make_action_closure
constexpr make_action_closure_fn make_action_closure
Definition: action.hpp:49
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52
meta::lazy::bind_back
defer< bind_back, Fn, Ts... > bind_back
Definition: meta.hpp:994